% estimates of the signal from the GS13 when the BSC-ISI is at the req's

clear
close all

%%
freq =  logspace(-2,3,10000);
good_vibrations = BSC_req(freq);

figure
loglog(freq, good_vibrations)
title('BSC motion spec')
xlabel('freq (Hz)')
ylabel('motion ASD (m/rtHz)')
grid on

% counts per meter per second for the calibrated GS13s
GS13_resp = 1e9 * tf('s') * zpk([0 0],-2*pi*[1+1i, 1-1i]/sqrt(2), (2*pi*1)^2);
 
 
figure
bode(GS13_resp)
title('GS-13 resp, in counts/meter/sec)')

GS13_resp_FR = squeeze(freqresp(GS13_resp, 2*pi* freq)).';

GS13_signal = abs(GS13_resp_FR .* good_vibrations);

figure
loglog(freq, GS13_signal)
title('GS13 signal (ASD) when at BSC motion requirement')
xlabel('freq (Hz)')
ylabel('counts/rtHz')
grid on

%% 

frequencies = logspace(-2,3,10000); %[0.00001 0.03 0.1 0.3 1 3 10 30 100];
rms_vec = zeros(1,8);
for i=1:length(frequencies)-1
    rms = intRMS_Band(GS13_signal, freq, frequencies(i), frequencies(i+1));
    rms_vec(i) = rms;
    sprintf('The rms requirement from %.2f to %.2f is %.3f.', frequencies(i), frequencies(i+1), rms);
end

rms_vec';
log10(rms_vec)';

figure
loglog(frequencies(2:end), rms_vec)
grid on
title('GS13 signal (RMS) when at BSC motion requirement')
xlabel('freq (Hz)')
ylabel('counts')